// Code generated by fabricator-generate-plugin-go
//
// Modifications in code regions will be lost during regeneration!

package main

import (
	"context"
	"os"

	_ "code.cestus.io/tools/fabricator-generate-project-go"
	fabricatorgenerateprojectgo "code.cestus.io/tools/fabricator-generate-project-go/pkg/fabricator-generate-project-go"
	"code.cestus.io/tools/fabricator/pkg/cmd/version"
	"code.cestus.io/tools/fabricator/pkg/fabricator"
	"code.cestus.io/tools/fabricator/pkg/helpers"
)

func main() {
	// region CODE_REGION(Main)
	ctx := context.Background()
	io := fabricator.NewStdIOStreams()
	ctx, cancel := helpers.WithCancelOnSignal(ctx, io, fabricator.TerminationSignals...)
	defer cancel()
	root := fabricatorgenerateprojectgo.NewFabricatorGenerateProjectGo(io, helpers.DefaultFlagParser)
	root.AddCommand(version.NewCmdVersion(io))
	if err := root.ExecuteContext(ctx); err != nil {
		os.Exit(1)
	}
	// endregion
}
